{% extends '/index.html' %}

{% block title %}
<title>{{category.name}}: Entries for {{view(recurse=True,count=30).range}}</title>
{% endblock %}

{% block banner %}
<div id="banner"><h1>{{category.name}}: Entries for {{view(recurse=True,count=30,entry_type_not='sidebar').range}}</h1></div>
{% endblock %}

{% block content %}
{% set view=view(recurse=True) %}
<section id="entries">

    {% if view.previous or view.next %}
    <nav class="nav topnav">
        {% if view.previous %}
        <span class="prev"><a href="{{view.previous.link(template=template)}}">{{view.previous.range}}</a></span>
        {% endif %}
        &nbsp;
        {% if view.next %}
        <span class="next"><a href="{{view.next.link(template=template)}}">{{view.next.range}}</a></span>
        {% endif %}
    </nav>
    {% endif %}

    {% for entry in view.entries %}
    <article class="entry">
        <header class="heading">
            {% block heading scoped %}
            <div class="top-hook"></div>
            <h2><a href="{{entry.link}}">{{entry.title}}</a></h2>
            <div class="posted">
                <span class="date">{{entry.date.format('YYYY-MM-DD')}}</span>
                <span class="time">{{entry.date.format('HH:mm:ss')}}</span>
                <span class="ago">{{entry.date.humanize()}}</span>
                {% if entry.author %}
                <span class="author">by {{entry.author}}</span>
                {% endif %}
            </div>
            {% endblock %}
        </header>

        <div class="content">
            {% block entrybody scoped %}
            {% if entry.body %}
            <div class="body">
            {{ entry.body(max_width=240,
                max_height=240,
                link=entry.link,
                resize="fill",
                fill_crop_x=0,
                fill_crop_y=0,
                count=1,
                div_class="thumb") }}
            </div>
            {% endif %}

            {% if entry.more %}
            <a class="readmore" href="{{ entry.link }}#more">Read more...</a>
            {% endif %}

            {% endblock %}
        </div>
    </article>
    {% endfor %}

    {% if view.previous or view.next %}
    <nav class="nav bottomnav">
        {% if view.previous %}
        <span class="prev"><a href="{{view.previous.link(template=template)}}">{{view.previous.range}}</a></span>
        {% endif %}
        &nbsp;
        {% if view.next %}
        <span class="next"><a href="{{view.next.link(template=template)}}">{{view.next.range}}</a></span>
        {% endif %}
    </nav>
    {% endif %}

    <div class="expand"></div>
</section>
{% endblock %}

